<?xml version="1.0"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
               "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % local.common.attrib "xmlns:xi  CDATA  #FIXED 'http://www.w3.org/2003/XInclude'">
<!ENTITY version SYSTEM "version.xml">
]>
<!--ENTITY index-Objects-Grouped SYSTEM "objects_grouped.sgml"-->
<refentry id="gtkextra-GtkPlotCanvasLine">
<refmeta>
<refentrytitle role="top_of_page" id="gtkextra-GtkPlotCanvasLine.top_of_page">GtkPlotCanvasLine</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>GTKEXTRA Library</refmiscinfo>
</refmeta>
<refnamediv>
<refname>GtkPlotCanvasLine</refname>
<refpurpose></refpurpose>
</refnamediv>

<refsect1 id="gtkextra-GtkPlotCanvasLine.functions" role="functions_proto">
<title role="functions_proto.title">Functions</title>
<informaltable pgwide="1" frame="none">
<tgroup cols="2">
<colspec colname="functions_return" colwidth="150px"/>
<colspec colname="functions_name"/>
<tbody>
<row><entry role="function_type"><link linkend="GtkPlotCanvasChild"><returnvalue>GtkPlotCanvasChild</returnvalue></link>&#160;*
</entry><entry role="function_name"><link linkend="gtk-plot-canvas-line-new">gtk_plot_canvas_line_new</link>&#160;<phrase role="c_punctuation">()</phrase></entry></row>
<row><entry role="function_type"><link linkend="void"><returnvalue>void</returnvalue></link>
</entry><entry role="function_name"><link linkend="gtk-plot-canvas-line-set-attributes">gtk_plot_canvas_line_set_attributes</link>&#160;<phrase role="c_punctuation">()</phrase></entry></row>
<row><entry role="function_type"><link linkend="void"><returnvalue>void</returnvalue></link>
</entry><entry role="function_name"><link linkend="gtk-plot-canvas-line-set-arrow">gtk_plot_canvas_line_set_arrow</link>&#160;<phrase role="c_punctuation">()</phrase></entry></row>

</tbody>
</tgroup>
</informaltable>
</refsect1>
<refsect1 id="gtkextra-GtkPlotCanvasLine.other" role="other_proto">
<title role="other_proto.title">Types and Values</title>
<informaltable role="enum_members_table" pgwide="1" frame="none">
<tgroup cols="2">
<colspec colname="name" colwidth="150px"/>
<colspec colname="description"/>
<tbody>
<row><entry role="datatype_keyword">struct</entry><entry role="function_name"><link linkend="GtkPlotCanvasLine">GtkPlotCanvasLine</link></entry></row>
<row><entry role="datatype_keyword">enum</entry><entry role="function_name"><link linkend="GtkPlotCanvasArrow">GtkPlotCanvasArrow</link></entry></row>

</tbody>
</tgroup>
</informaltable>
</refsect1>

<refsect1 id="gtkextra-GtkPlotCanvasLine.includes"><title>Includes</title><synopsis>#include &lt;gtkextra.h&gt;
</synopsis></refsect1>

<refsect1 id="gtkextra-GtkPlotCanvasLine.description" role="desc">
<title role="desc.title">Description</title>
<para>FIXME:: need long description</para>

</refsect1>
<refsect1 id="gtkextra-GtkPlotCanvasLine.functions_details" role="details">
<title role="details.title">Functions</title>
<refsect2 id="gtk-plot-canvas-line-new" role="function">
<title>gtk_plot_canvas_line_new&#160;()</title>
<indexterm zone="gtk-plot-canvas-line-new"><primary>gtk_plot_canvas_line_new</primary></indexterm>
<programlisting language="C"><link linkend="GtkPlotCanvasChild"><returnvalue>GtkPlotCanvasChild</returnvalue></link>&#160;*
gtk_plot_canvas_line_new (<parameter><link linkend="GtkPlotLineStyle"><type>GtkPlotLineStyle</type></link> style</parameter>,
                          <parameter><link linkend="gfloat"><type>gfloat</type></link> width</parameter>,
                          <parameter>const <link linkend="GdkColor"><type>GdkColor</type></link> *color</parameter>,
                          <parameter><link linkend="GtkPlotCanvasArrow"><type>GtkPlotCanvasArrow</type></link> arrow_mask</parameter>);</programlisting>
<para>
</para>
</refsect2>
<refsect2 id="gtk-plot-canvas-line-set-attributes" role="function">
<title>gtk_plot_canvas_line_set_attributes&#160;()</title>
<indexterm zone="gtk-plot-canvas-line-set-attributes"><primary>gtk_plot_canvas_line_set_attributes</primary></indexterm>
<programlisting language="C"><link linkend="void"><returnvalue>void</returnvalue></link>
gtk_plot_canvas_line_set_attributes (<parameter><link linkend="GtkPlotCanvasLine"><type>GtkPlotCanvasLine</type></link> *line</parameter>,
                                     <parameter><link linkend="GtkPlotLineStyle"><type>GtkPlotLineStyle</type></link> style</parameter>,
                                     <parameter><link linkend="gfloat"><type>gfloat</type></link> width</parameter>,
                                     <parameter>const <link linkend="GdkColor"><type>GdkColor</type></link> *color</parameter>);</programlisting>
<refsect3 id="gtk-plot-canvas-line-set-attributes.parameters" role="parameters">
<title>Parameters</title>
<informaltable role="parameters_table" pgwide="1" frame="none">
<tgroup cols="3">
<colspec colname="parameters_name" colwidth="150px"/>
<colspec colname="parameters_description"/>
<colspec colname="parameters_annotations" colwidth="200px"/>
<tbody>
<row><entry role="parameter_name"><para>line</para></entry>
<entry role="parameter_description"><para>a <link linkend="GtkPlotCanvasLine"><type>GtkPlotCanvasLine</type></link> widget.</para></entry>
<entry role="parameter_annotations"></entry></row>
</tbody></tgroup></informaltable>
</refsect3></refsect2>
<refsect2 id="gtk-plot-canvas-line-set-arrow" role="function">
<title>gtk_plot_canvas_line_set_arrow&#160;()</title>
<indexterm zone="gtk-plot-canvas-line-set-arrow"><primary>gtk_plot_canvas_line_set_arrow</primary></indexterm>
<programlisting language="C"><link linkend="void"><returnvalue>void</returnvalue></link>
gtk_plot_canvas_line_set_arrow (<parameter><link linkend="GtkPlotCanvasLine"><type>GtkPlotCanvasLine</type></link> *line</parameter>,
                                <parameter><link linkend="GtkPlotSymbolStyle"><type>GtkPlotSymbolStyle</type></link> style</parameter>,
                                <parameter><link linkend="gfloat"><type>gfloat</type></link> width</parameter>,
                                <parameter><link linkend="gfloat"><type>gfloat</type></link> length</parameter>,
                                <parameter><link linkend="GtkPlotCanvasArrow"><type>GtkPlotCanvasArrow</type></link> mask</parameter>);</programlisting>
<refsect3 id="gtk-plot-canvas-line-set-arrow.parameters" role="parameters">
<title>Parameters</title>
<informaltable role="parameters_table" pgwide="1" frame="none">
<tgroup cols="3">
<colspec colname="parameters_name" colwidth="150px"/>
<colspec colname="parameters_description"/>
<colspec colname="parameters_annotations" colwidth="200px"/>
<tbody>
<row><entry role="parameter_name"><para>line</para></entry>
<entry role="parameter_description"><para>a <link linkend="GtkPlotCanvasLine"><type>GtkPlotCanvasLine</type></link> widget.</para></entry>
<entry role="parameter_annotations"></entry></row>
</tbody></tgroup></informaltable>
</refsect3></refsect2>

</refsect1>
<refsect1 id="gtkextra-GtkPlotCanvasLine.other_details" role="details">
<title role="details.title">Types and Values</title>
<refsect2 id="GtkPlotCanvasLine" role="struct">
<title>struct GtkPlotCanvasLine</title>
<indexterm zone="GtkPlotCanvasLine"><primary>GtkPlotCanvasLine</primary></indexterm>
<programlisting language="C">struct GtkPlotCanvasLine {
};
</programlisting>
<para>The GtkPlotCanvasLine struct contains only private data.
It should only be accessed through the functions described below.</para>
</refsect2>
<refsect2 id="GtkPlotCanvasArrow" role="enum">
<title>enum GtkPlotCanvasArrow</title>
<indexterm zone="GtkPlotCanvasArrow"><primary>GtkPlotCanvasArrow</primary></indexterm>
<para>
</para>
<refsect3 id="GtkPlotCanvasArrow.members" role="enum_members">
<title>Members</title>
<informaltable role="enum_members_table" pgwide="1" frame="none">
<tgroup cols="3">
<colspec colname="enum_members_name" colwidth="300px"/>
<colspec colname="enum_members_description"/>
<colspec colname="enum_members_annotations" colwidth="200px"/>
<tbody>
<row role="constant"><entry role="enum_member_name"><para id="GTK-PLOT-CANVAS-ARROW-NONE:CAPS">GTK_PLOT_CANVAS_ARROW_NONE</para></entry>
<entry role="enum_member_description"></entry>
<entry role="enum_member_annotations"></entry>
</row>
<row role="constant"><entry role="enum_member_name"><para id="GTK-PLOT-CANVAS-ARROW-ORIGIN:CAPS">GTK_PLOT_CANVAS_ARROW_ORIGIN</para></entry>
<entry role="enum_member_description"></entry>
<entry role="enum_member_annotations"></entry>
</row>
<row role="constant"><entry role="enum_member_name"><para id="GTK-PLOT-CANVAS-ARROW-END:CAPS">GTK_PLOT_CANVAS_ARROW_END</para></entry>
<entry role="enum_member_description"></entry>
<entry role="enum_member_annotations"></entry>
</row>
</tbody></tgroup></informaltable>
</refsect3></refsect2>

</refsect1>

</refentry>
